"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util = require("../../util");
function getTimestamp() {
    var d = new Date();
    let str = `${d.getFullYear()}-${d.getMonth() + 1}-${d.getDate()} - ${d.toLocaleTimeString()}`;
    return str;
}
function lineWrapper(taskInfo, line) {
    const colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(getTimestamp() + ' |') + ' ' + line;
}
exports.lineWrapper = lineWrapper;
