"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util = require("../../util");
let maxCmdLength = null;
function lineWrapper(taskInfo, line) {
    if (maxCmdLength === null) {
        maxCmdLength = util.getMaxLength(taskInfo.allTasks.map(t => t.command));
    }
    const taskName = taskInfo.task.command;
    const colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(util.rightPad(taskName, maxCmdLength) + " |") + " " + line;
}
exports.lineWrapper = lineWrapper;
