"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const colors = require('colors');
exports.ColorPalette = [
    'blue', 'green', 'yellow',
    'magenta', 'cyan', 'red',
    'gray'
];
function rightPad(str, len) {
    let strCopy = str;
    for (let x = 0, xl = len - str.length; x < xl; x++) {
        strCopy += ' ';
    }
    return strCopy;
}
exports.rightPad = rightPad;
function getMaxLength(strs) {
    return strs.reduce((maxLen, str) => {
        if (str.length > maxLen) {
            return str.length;
        }
        return maxLen;
    }, 0);
}
exports.getMaxLength = getMaxLength;
function getColorFuncForIndex(index) {
    return colors[exports.ColorPalette[index % exports.ColorPalette.length]];
}
exports.getColorFuncForIndex = getColorFuncForIndex;
